[问题]++在安装unrar的时候碰到这样的问题,请教!!![已经解决]

为当前最终发行版之前的所有版本提供支持
回复
gren
帖子: 132
注册时间: 2006-12-01 16:42
来自: 金城
送出感谢: 0
接收感谢: 0
联系:

[问题]++在安装unrar的时候碰到这样的问题,请教!!![已经解决]

#1

帖子 gren » 2007-01-08 23:10

于到了这样的错误,之前我删除过 firestarter
系统里面应该没有这个了?

gren@gren:~$ sudo apt-get install unrar
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
下列【新】软件包将被安装:
unrar
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 2 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 93.0kB 的软件包。
解压缩后会消耗掉 229kB 的额外空间。
获取:1 http://ubuntu.cn99.com edgy-backports/multiverse unrar 1:3.6.8-0ubuntu2~edgy1 [93.0kB]
下载 93.0kB,耗时 8s (11.0kB/s)
选中了曾被取消选择的软件包 unrar。
(正在读取数据库 ... 系统当前总共安装有 97620 个文件和目录。)
正在解压缩 unrar (从 .../unrar_1%3a3.6.8-0ubuntu2~edgy1_i386.deb) ...
正在设置 firestarter (1.0.3-1.2ubuntu3) ...
* Starting the Firestarter firewall... [fail]
invoke-rc.d: initscript firestarter, action "start" failed.
dpkg:处理 firestarter (--configure)时出错:
子进程·post-installation script·返回了错误号·2
正在设置 unrar (3.6.8-0ubuntu2~edgy1) ...
在处理时有错误发生:
firestarter
E: Sub-process /usr/bin/dpkg returned an error code (1)
gren@gren:~$
上次由 gren 在 2007-01-11 13:07,总共编辑 2 次。
正在转向linux的好奇人!
—————————————---------
Ubuntu7.04
华硕P4B533+intelP42.0+kingstonDDR266 256M*2+
艾尔莎MX440+80G IDE+SyncMaster 757DFX
+Creative2.1
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

#2

帖子 xiechy » 2007-01-09 11:39

firestarter没删干净,查找:/var/lib/dpkg/info/firestarter.postrm的脚本
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 SuperWar3Fan » 2007-01-09 15:58

sudo aptitude install unrar
gren
帖子: 132
注册时间: 2006-12-01 16:42
来自: 金城
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 gren » 2007-01-09 20:31

现谢谢了,试试看看,自己的机器到底除了什么问题
正在转向linux的好奇人!
—————————————---------
Ubuntu7.04
华硕P4B533+intelP42.0+kingstonDDR266 256M*2+
艾尔莎MX440+80G IDE+SyncMaster 757DFX
+Creative2.1
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#5

帖子 dogfox » 2007-01-09 22:17

个人感觉源里的rar不如自己手工编译的rar好使
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2007-01-09 23:04

个人觉得帖子不需要使用大号字体。更不要整篇红色。
● 鸣学
gren
帖子: 132
注册时间: 2006-12-01 16:42
来自: 金城
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 gren » 2007-01-10 22:23

eexpress 写了:个人觉得帖子不需要使用大号字体。更不要整篇红色。
非常感谢eexpress老师的建议,我已经改正了,不过我还是想得到问题的答案!!!
正在转向linux的好奇人!
—————————————---------
Ubuntu7.04
华硕P4B533+intelP42.0+kingstonDDR266 256M*2+
艾尔莎MX440+80G IDE+SyncMaster 757DFX
+Creative2.1
gren
帖子: 132
注册时间: 2006-12-01 16:42
来自: 金城
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 gren » 2007-01-11 13:09

可能还是自己不太自己,已经将firestarter彻底铲除, 现在已经能够用了,不过dogfox的建议我也想试试看,不知道,那里有rar的源码!!!
正在转向linux的好奇人!
—————————————---------
Ubuntu7.04
华硕P4B533+intelP42.0+kingstonDDR266 256M*2+
艾尔莎MX440+80G IDE+SyncMaster 757DFX
+Creative2.1
回复

回到 “老旧版本支持”